> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/staking/initiate-unstake",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Initiate unstake

> Submits a chain-specific unstake request.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /staking/chains/{chainDescriptor}/unstake
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /staking/chains/{chainDescriptor}/unstake:
    post:
      tags:
        - Staking
      summary: Initiate unstake
      description: Submits a chain-specific unstake request.
      operationId: unstake
      parameters:
        - name: chainDescriptor
          required: true
          in: path
          description: >-
            Protocol identifier for the unstake staking operation (e.g.,
            SOL/SOL_TEST/MATIC).
          schema:
            $ref: '#/components/schemas/ChainDescriptor'
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UnstakeRequest'
      responses:
        '201':
          description: Unstake request accepted and created.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: >-
            Bad request: missing/invalid fields, unsupported amount, or
            malformed payload.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '403':
          description: >-
            Forbidden: insufficient permissions, disabled feature, or restricted
            provider/validator.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '404':
          description: >-
            Not found: requested resource does not exist (e.g., position,
            validator, provider, or wallet).
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '429':
          description: 'Rate limit exceeded: slow down and retry later.'
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '500':
          description: Internal error while processing the request.
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.staking.unstake(stakingApiUnstakeRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.staking().unstake(unstakeRequest, chainDescriptor,
            idempotencyKey);
        - lang: Python
          source: >-
            response = fireblocks.staking.unstake(unstake_request,
            chain_descriptor, idempotency_key);
components:
  schemas:
    ChainDescriptor:
      type: string
      description: Protocol identifier for the staking operation.
      enum:
        - ATOM_COS
        - AXL
        - AXL_TEST
        - CELESTIA
        - DYDX_DYDX
        - ETH
        - ETH_TEST6
        - ETH_TEST_HOODI
        - INJ_INJ
        - MANTRA
        - MATIC
        - OSMO
        - POL
        - POL_TEST
        - SOL
        - SOL_TEST
        - STETH_ETH
        - STETH_ETH_TEST6_DZFA
        - STETH_ETH_TEST_HOODI
    UnstakeRequest:
      type: object
      example:
        id: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        txNote: 'unstake request id b70701f4-d7b1-4795-a8ee-b09cdb5b850d #SOL'
        feeLevel: MEDIUM
        amount: '7'
      properties:
        id:
          type: string
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
          description: id of position to unstake
        fee:
          type: string
          example: '7'
          description: >-
            Represents the fee for a transaction, which can be specified as a
            percentage value. Only one of fee/feeLevel is required.
        feeLevel:
          $ref: '#/components/schemas/FeeLevel'
        txNote:
          type: string
          example: 'unstake request id b70701f4-d7b1-4795-a8ee-b09cdb5b850d #SOL'
          description: The note to associate with the transactions.
        amount:
          type: string
          example: '7'
          description: >-
            Amount of tokens to unstake. Only supported for liquid staking
            (Lido) to enable partial unstaking. For other chains, this field is
            ignored and the entire position will be unstaked. If not provided,
            the entire position will be unstaked.
      required:
        - id
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
    FeeLevel:
      type: string
      example: MEDIUM
      description: >-
        Represents the fee level for a transaction, which can be set as slow,
        medium, or fast. Only one of fee/feeLevel is required.
      enum:
        - LOW
        - MEDIUM
        - HIGH
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````